begin;

-- Criar um ponto de salvamento antes das alterações
SAVEPOINT antes_da_remocao;

-- Remover registros das tabelas
DELETE FROM par.edicaodeclaracaoomissao;
DELETE FROM par.extratoresponsavel;
DELETE FROM par.cienciasomisso;
DELETE FROM par.responsaveisomisso;
DELETE FROM par.omissodeclarado;
DELETE FROM par.omissodeclarado_confirmado;

-- Truncar tabelas e resetar identidade dos registros
TRUNCATE TABLE par.edicaodeclaracaoomissao RESTART IDENTITY;
TRUNCATE TABLE par.extratoresponsavel RESTART IDENTITY;
TRUNCATE TABLE par.cienciasomisso RESTART IDENTITY;--
TRUNCATE TABLE par.omissodeclarado RESTART IDENTITY CASCADE;
TRUNCATE TABLE par.responsaveisomisso RESTART IDENTITY CASCADE;
TRUNCATE TABLE par.omissodeclarado_confirmado RESTART IDENTITY;

-- Confirma todas as operações
COMMIT;

-- Se precisar cancela operações
-- ROLLBACK  antes_da_remocao;
